commit:     b52fa0cdd26134fab73eda25659696a7bf559a4a
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 12:32:40 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 12:32:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b52fa0cd

app-office/texstudio: add 4.8.1

Closes: https://bugs.gentoo.org/893420
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 app-office/texstudio/Manifest               |  1 +
 app-office/texstudio/texstudio-4.8.1.ebuild | 79 +++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 1c85078b56af..845d56ca56fc 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -1,2 +1,3 @@
 DIST texstudio-4.3.1.tar.gz 90529450 BLAKE2B 
500f42f8a540aff97d8bb8d65262d6e0a758ccfb431fa00d9aa6e848d76da9eb1320dc3bc5a472e15d4492174e2817181271243c581830958c5e370751ed0b36
 SHA512 
6fc8717ed22e21947260d0af5c5b857f9b79476f28f400f9036134d9de2d9e11a605a871b6c8d520b366cb43f3fb61bb89c411e5c11aee1e87642e77fe1b0560
 DIST texstudio-4.7.1.tar.gz 111614038 BLAKE2B 
01334389930fff5147f49a55b925a64173b8615553b58aaf48a9c9e446997aa0a2600f88a9bd4e5d81f5bef29c97d21796171c2dba231c9f3377c200e6ec676f
 SHA512 
3aebc09f1cec288d841552b3861c4ba33f006b25e9f99418e53bdc0e5a3ece915c1649e7027e3626eec14b6c00214df2eb2012b7a0b71874b0f75cc9f9fb2d06
+DIST texstudio-4.8.1.tar.gz 116013004 BLAKE2B 
57479b1f6f0daf560258728ec7216c62d8eeacbc4b29f3a4ac5391bc4c933b3fbb152661062b93ec5a97b9ab16b9ace0070cf6af07743a13e451294acd2c58fc
 SHA512 
9749c9d4c67afb8c48171a051f8d7876c89cb40d088a58707cf19209f9da515c1e817b4c46fc333279c9f42652000fa2029291ba83d748137c98b0b34981b1bf

diff --git a/app-office/texstudio/texstudio-4.8.1.ebuild 
b/app-office/texstudio/texstudio-4.8.1.ebuild
new file mode 100644
index 000000000000..187f608c4f49
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.8.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop qmake-utils xdg
+
+MY_PV="${PV/_/}"
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio";
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+DEPEND="
+       app-text/hunspell:=
+       app-text/poppler:=[qt5]
+       >=dev-libs/quazip-1.0:0=[qt5(+)]
+       dev-qt/designer:5
+       dev-qt/qtcore:5
+       dev-qt/qtconcurrent:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtsingleapplication[qt5(+),X]
+       dev-qt/qtsvg:5
+       dev-qt/qttest:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       sys-libs/zlib
+       x11-libs/libX11
+       video? ( >=media-libs/phonon-4.11.0[qt5(+)] )
+"
+RDEPEND="
+       ${DEPEND}
+       app-text/ghostscript-gpl
+       app-text/psutils
+       media-libs/netpbm
+       virtual/latex-base
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.7.0-quazip.patch" # TODO: upstream
+)
+
+src_prepare() {
+       # TODO: find hunspell quazip utilities/poppler-data qtsingleapplication 
-delete || die
+       rm -r src/quazip || die
+
+       if use video; then
+               sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+       fi
+
+       sed -e "/qtsingleapplication.pri/s/.*/CONFIG += qtsingleapplication/" \
+               -i ${PN}.pro || die
+       default
+}
+
+src_configure() {
+       eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1 NO_TESTS=false
+}
+
+src_install() {
+       local i
+       for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+               newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+       done
+
+       emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+
+       # We don't install licences per package
+       rm "${ED}"/usr/share/texstudio/COPYING || die
+}

Reply via email to